Skip to main content
GET
/
public
/
Trades
Get Recent Trades
curl --request GET \
  --url https://api.kraken.com/0/public/Trades
{
  "error": [],
  "result": {
    "XXBTZUSD": [
      [
        "30243.40000",
        "0.34507674",
        1688669597.8277369,
        "b",
        "m",
        "",
        61044952
      ],
      [
        "30243.30000",
        "0.00376960",
        1688669598.2804112,
        "s",
        "l",
        "",
        61044953
      ],
      [
        "30243.30000",
        "0.01235716",
        1688669602.698379,
        "s",
        "m",
        "",
        61044956
      ]
    ],
    "last": "1688671969993150842"
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

pair
string
required

Asset pair to get data for

assetVersion
enum<integer>

Controls whether response keys and asset identifier fields use Kraken's internal names or display names.

  • Omitted (default): internal names are used. Asset keys use legacy X/Z-prefixed format (XXBT, ZUSD). Pair keys use the internal format (XXBTZUSD). Asset identifier fields (base, quote, fee_volume_currency) also use internal names.
  • assetVersion=1: display names are used. Asset keys become their canonical display names (BTC, USD). Pair keys become the slash-separated display format (BTC/USD). On /public/AssetPairs, the base, quote, and fee_volume_currency fields also switch to display names.

Only assetVersion=1 is currently supported. The altname and wsname fields are not affected by this parameter.

Available options:
1
since
string

Return trade data since given timestamp

count
integer
default:1000

Return specific number of trades, up to 1000

Required range: 1 <= x <= 1000
asset_class
enum<string>

This parameter is required on requests for non-crypto pairs, i.e. use tokenized_asset for xstocks.

Available options:
tokenized_asset

Response

200 - application/json

Trade data retrieved.

result
object
error
string[]

Kraken API error